summaryrefslogtreecommitdiff
path: root/usr.bin
diff options
context:
space:
mode:
authorbitblt <bitblt@cvs.openbsd.org>1996-09-30 16:42:18 +0000
committerbitblt <bitblt@cvs.openbsd.org>1996-09-30 16:42:18 +0000
commit2b77ed867568eaacb64b2e338ace51b8d96ec130 (patch)
tree7b12edf01d1574d66b998357fc783174bd4d4e7e /usr.bin
parent23bffcc5292c9e428451d99c5fb3cb308f12556b (diff)
lorder now cleans up its temp directory after a failure.
Diffstat (limited to 'usr.bin')
-rw-r--r--usr.bin/lorder/lorder.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/usr.bin/lorder/lorder.sh b/usr.bin/lorder/lorder.sh
index 329fb841652..21668d5e696 100644
--- a/usr.bin/lorder/lorder.sh
+++ b/usr.bin/lorder/lorder.sh
@@ -1,5 +1,5 @@
#!/bin/sh -
-# $OpenBSD: lorder.sh,v 1.3 1996/09/16 01:16:27 deraadt Exp $
+# $OpenBSD: lorder.sh,v 1.4 1996/09/30 16:42:17 bitblt Exp $
# $NetBSD: lorder.sh,v 1.3 1995/04/24 07:38:52 cgd Exp $
#
# Copyright (c) 1990, 1993
@@ -63,7 +63,7 @@ fi
umask $um
# remove temporary files on HUP, INT, QUIT, PIPE, TERM
-trap "rm -f $R $S; exit 1" 1 2 3 13 15
+trap "rm rf $TDIR; exit 1" 1 2 3 13 15
# if the line ends in a colon, assume it's the first occurrence of a new
# object file. Echo it twice, just to make sure it gets into the output.